Require Import Arith.

Lemma t0: forall m n: nat, m <= n -> S m <= S n.
Proof.
intro.
intro.
intro.
induction H.
exact (le_n (S m)).
assert ((S m0) <= S (S m0)).
apply le_S.
exact (le_n (S m0)).
apply le_trans with (S m0). 
exact IHle.
apply le_S.
apply le_n.
Qed.

Lemma t1: forall m n: nat, m < n -> S m < S n.
Proof.
intro.
intro.
intro.
elim H.
exact (le_n (S (S m))).
intro.
intro.
intro.
assert ((S m0) < S (S m0)).
exact (le_n (S (S m0))).
apply le_trans with (S m0). 
exact H1.
apply le_S.
apply le_n.
Qed.

Lemma t2: forall m n: nat, m <= n -> 1+m <= 1+n.
Proof.
intro.
intro.
intro.
induction H.
replace (1 + S m) with (S (1 + m)).
unfold lt.
trivial.
induction m.
trivial.
trivial.
unfold lt in IHle.
unfold lt.
assert (1+m0 <= 1 + S m0).
replace (1+ S m0) with (S(1+m0)).
apply le_S.
trivial.
trivial.
apply (le_trans (1+m) (1+m0) (1+S m0)).
trivial.
trivial.
Qed.

Lemma t3: forall m n: nat, m <= n -> m+1 <= n+1.
Proof.
intros.
induction H.
trivial.
assert (m0 + 1 <= S m0 + 1).
replace (S m0 + 1) with (S (m0 + 1)).
apply le_S.
trivial.
trivial.
apply (le_trans (m+1) (m0+1) (S m0 + 1)).
assumption.
assumption.
Qed.

































